# caution: documentation doesn't build when jaxp_parser is xerces-j2

%define base_name       xml4j
%define Base_Name       XML4J
%define major_version   3
%define name            %{base_name}%{major_version}
%define version		3.2.1
%define cvs_version	3_2_1
%define release		9jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Java XML parser
License:        Apache License
Source0:        %{Base_Name}-J-src.%{version}.tar.gz
Patch0:         %{name}.build.patch.bz2
Url:            http://alphaworks.ibm.com/aw.nsf/techmain/xml4j
Provides:       jaxp_parser2
Requires:       /usr/sbin/update-alternatives
BuildRequires:  ant
Group:          Development/Java
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage project

%description
The XML Parser for Java Version contains public and stable support of
the DOM Level 1, and SAX Level 1 specifications. It also contains
implementations of the DOM Level 2, SAX Level 2 implementations, and
partial April 7 W3C Schema implementations but these are considered
experimental, as the specifications themselves are still subject to
change.

%package manual
Summary:        Manual for %{name}
Group:          Development/Java
BuildRequires:  stylebook1.0b2

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{Base_Name}-%{cvs_version}
%patch0

%build
export CLASSPATH=\
%{javadir}/xalan-j1.jar:\
%{javadir}/stylebook1.0b2.jar:\
build/classes
ant jars
ant -Ddoc.style=%{_datadir}/stylebook/styles/ibm-style docs
ant javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/xerces.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/docs/html/apiDocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
rm -rf build/docs/html/apiDocs
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 build/xercesSamples.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-samples.jar
cp -pr data $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{javadir}/jaxp_parser.jar jaxp_parser %{javadir}/%{name}-%{version}.jar 10 \
--slave %{javadir}/jaxp_apis.jar jaxp_apis %{javadir}/%{name}-%{version}.jar

%postun
update-alternatives --remove jaxp_parser %{javadir}/%{name}-%{version}.jar

%files
%defattr(-,root,root)
%doc LICENSE README Readme.html STATUS
%{javadir}/*

%files manual
%defattr(-,root,root)
%doc build/docs/html/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Mon Mar 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.1-9jpp
- provides jaxp_parser2 virtual resource 
- fixed stylebook style path

* Sun Jan 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.1-8jpp 
- adaptation to new stylebook1.0b2 package

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.1-7jpp
- explicitely set xalan-j1.jar in classpath
- section macro

* Fri Jan 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.4-6jpp
- fixed demo requires
- javadoc in %{_datadir}/javadoc again

* Thu Dec 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.4-5jpp
- javadoc back to /usr/share/doc
- doc and javadoc requires nothing
- demo requires exact version and release
- removed redundant buildrequires
- requires /usr/sbin/update-alternatives

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.1-4jpp
- javadoc into javadoc package

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.1-3jpp
- used original tarball

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.1-2jpp
- first unified release
- removed xalan-j1 from classpath as it is autoloaded by stylebook-1.0b2
- s/jPackage/JPackage

* Tue Sep 18 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.1-1mdk
- 3.2.1
- more naming cohereny
- use ant-based build instead of make-based
- spec cleanup
- splitted demo package
- moded demo files to %{_datadir}/%{name}
- drop xalan-j1 buildrequires, as stylebook-1.0b2 requires it
- only manual package requires stylebook-1.0b2

* Tue Jul 31 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-3mdk
- jaxp_parser symlink is now jaxp_parser.jar

* Tue Jul 24 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-2mdk
- more naming cohereny
- spec cleanup

* Mon Jul 23 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-1mdk
- first Mandrake release
